%define gituser         barsnick
%define gitname         valkyrie
%global gitdate         20250104
%global commit          864941599f751af0683c38975a38b28aeacdc92c
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
# Build source is tarball release=1 or git commit=0
%global         build_release   0

%global         vers 2.0.1
%global         rel 0
%global         distsuffix .4sunshine

Name:		valkyrie-qt6
Version:	%{vers}
Summary:	Graphical Qt6 User Interface for Valgrind Suite

%if 0%{?build_release}  > 0
# build from the tarball release
Release:	%{rel}%{?dist}%{?distsuffix}
Source0:	http://www.valgrind.org/downloads/%{gitname}-%{vers}.tar.bz2

%else
# build from the git commit snapshot
Release:        %{rel}.%{gitdate}git%{shortcommit}%{?dist}%{?distsuffix}
Source0:        https://github.com/%{gituser}/%{gitname}/archive/%{commit}/%{gitname}-%{shortcommit}.tar.gz
%endif
#build_release


License:	GPLv2
URL:		http://www.valgrind.org/
Source1:	%{name}.desktop

BuildRequires:	make
BuildRequires:	desktop-file-utils
BuildRequires:	qt6-qtbase-devel
BuildRequires:	qt6-qt5compat-devel
Requires:	valgrind >= 3.6.0
Provides:	valkyrie

%description
Valkyrie is a graphical user interface to the Valgrind suite
of tools for debugging and profiling programs.  It makes use
of the XML output capabilities offered by Valgrind.

%prep
%setup -q -n %{gitname}-%{commit}
sed -i -e "s|VERSION = .*|VERSION = %{vers}|" vk_config.pri
# Fedora specific doc dir
sed -i -e "s|\$\$DATADIR/doc/\$\$PACKAGE|%{_docdir}/%{name}|" vk_config.pri

%build
%{qmake_qt6} PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -d %{buildroot}%{_datadir}/pixmaps/
install -p -m 644 icons/%{gitname}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%files
%doc COPYING INSTALL README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_docdir}/%{name}

%changelog
* Sat Jan 04 2025 Moritz Barsnick <moritz+rpm@barsnick.net> 2.0.1-0.20250104git8649415.4sunshine
- update to commit 8649415
- fix documentation directory config for build

* Sat Oct 12 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 2.0.1-0.3sunshine
- fix Qt version in desktop file

* Mon Sep 23 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 2.0.1-0.2sunshine
- update to commit 61532d2

* Thu Jun 13 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 2.0.1-0.1sunshine
- rename SPEC file to valkyrie-qt6
- use Qt6 port from branch, git snapshot
- use %%qmake_qt6
- BR: qt6-qt5compat-devel

* Tue Jun 29 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 2.0.1-0.2sunshine
- rename SPEC file to valkyrie-qt5

* Mon Jun 28 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 2.0.1-0.1sunshine
- update to 2.0.1 SVN snapshot
- drop .SVN suffix from VERSION, as it is used in some paths
- use Qt5 port from branch, git snapshot
- adapt some file names and paths to new qt5 package name, to avoid
  conflicts
- avoid use of %%{_builddir}
- use %%doc instead of explicitly installing docs
- preserve timestamps

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 2.0.0-13
- use %%qmake_qt4 macro to ensure proper build flags

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.0-11
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar  4 2013 Nathan Scott <nathans@redhat.com> 2.0.0-7
- Remove use of --parent option to %%doc expansion, no longer works.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct  8 2012 Nathan Scott <nathans@redhat.com> 2.0.0-5
- Resolve remaining fedora-review issues (bz 862160)
- Use doc instead of install-sh of {README,LICENSE,INSTALL}
- Rework expansion of docs in general to fit in with this
- Use global instead of define

* Sat Oct  6 2012 Nathan Scott <nathans@redhat.com> 2.0.0-4
- Add getpid patch to resolve build issue reported by Sebastian Dyroff (bz 862160)

* Fri Oct  5 2012 Nathan Scott <nathans@redhat.com> 2.0.0-3
- Add getuid patch to resolve build issue reported by Sebastian Dyroff (bz 862160)

* Thu Oct  4 2012 Nathan Scott <nathans@redhat.com> 2.0.0-2
- Add usleep patch to resolve build issue reported by Sebastian Dyroff (bz 862160)

* Tue Oct  2 2012 Nathan Scott <nathans@redhat.com> 2.0.0-1
- Initial build
